MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0032553Community[OCCT] OCCT:Configurationpublic2021-09-02 08:562021-09-05 23:24
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusverifiedResolutionfixed 
PlatformWindowsOSVC++ 2015OS Version64 bit
Product Version[OCCT] 7.5.0 
Target Version[OCCT] 7.6.0*Fixed in Version 
Summary0032553: Configuration, CMake - unable to building with ActiveTcl
DescriptionActiveTcl provides the following libraries:
C:\ActiveTcl\lib\tcl86t.lib
C:\ActiveTcl\lib\tk86t.lib

instead of tcl86.lib / tk86.lib expected by OCCT and generated by building open-source version of Tcl/Tk.
So that users have to rename library files to be able to build OCCT using ActiveTcl.

Note that the problem happens while building OCCT, not on configuration step which finds libraries with suffixes.
This is because of using "#pragma lib" within src/Draw/Draw.cxx.

This is not much a blocking issue, but it would be helpful to allow building OCCT with such configuration without extra file modifications.
TagsNo tags attached.
Test case numberNot required
Attached Files

- Relationships
related to 0030976verifiedbugmaster Configuration, CMake - Build failure with static FreeType dependency 

-  Notes
(0103658)
git (administrator)
2021-09-02 09:04

Branch CR32553 has been created by kgv.

SHA-1: 7c0bcc138f1c678a1d58fc500f588092c17f1af8


Detailed log of new commits:

Author: kgv
Date: Thu Sep 2 09:03:55 2021 +0300

    0032553: Configuration, CMake - unable to building with ActiveTcl
    
    Removed linkage with "tcl8.6.lib" with help of pragma lib specific to msvc.
    Tcl libraries should be configured as normal external dependencies via CSF_TclLibs
    by CMake and genproj, which is already done (information was duplicated).
(0103671)
kgv (developer)
2021-09-02 13:25

Please raise the patch
- OCCT: branch CR32553.

http://jenkins-test-12.nnov.opencascade.com:8080/view/CR32553-master-KGV/ [^]
(0103761)
smoskvin (administrator)
2021-09-04 14:26

Combination -
OCCT branch : IR-2021-09-03
master SHA - f26ee38f2a309ffbf7de4eebbcef2c5a5c57d84e
a87b7ddc8cb44606b91e3f37113847c3f5f50fdc
Products branch : IR-2021-09-03 SHA - 87cca1a8f3dd94387a936b9d49f5bd719c69cf4d
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 17495.94000000042 / 17441.55000000031 [+0.31%]
Products
Total CPU difference: 11565.440000000113 / 11534.270000000102 [+0.27%]
Windows-64-VC14:
OCCT
Total CPU difference: 19307.140625 / 19200.421875 [+0.56%]
Products
Total CPU difference: 12917.859375 / 12874.53125 [+0.34%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0103834)
git (administrator)
2021-09-05 23:24

Branch CR32553 has been deleted by kgv.

SHA-1: 7c0bcc138f1c678a1d58fc500f588092c17f1af8

- Related Changesets
occt: master e639e9bc
Timestamp: 2021-09-02 06:03:55
Author: kgv
Committer: bugmaster
Details ] Diff ]
0032553: Configuration, CMake - unable to building with ActiveTcl

Removed linkage with "tcl8.6.lib" with help of pragma lib specific to msvc.
Tcl libraries should be configured as normal external dependencies via CSF_TclLibs
by CMake and genproj, which is already done (information was duplicated).
mod - src/Draw/Draw.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2021-09-02 08:56 kgv New Issue
2021-09-02 08:56 kgv Assigned To => bugmaster
2021-09-02 09:01 kgv Summary Configuration, CMake - unable to configure ActiveTcl => Configuration, CMake - unable to building with ActiveTcl
2021-09-02 09:04 git Note Added: 0103658
2021-09-02 13:25 kgv Note Added: 0103671
2021-09-02 13:25 kgv Status new => resolved
2021-09-02 13:25 kgv Status resolved => reviewed
2021-09-03 15:18 kgv Relationship added related to 0030976
2021-09-04 14:26 smoskvin Note Added: 0103761
2021-09-04 14:26 smoskvin Status reviewed => tested
2021-09-04 14:36 bugmaster Changeset attached => occt master e639e9bc
2021-09-04 14:36 bugmaster Status tested => verified
2021-09-04 14:36 bugmaster Resolution open => fixed
2021-09-04 16:30 smoskvin Test case number => Not required
2021-09-05 23:24 git Note Added: 0103834


Copyright © 2000 - 2021 MantisBT Team
Powered by Mantis Bugtracker